BCL mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.5000.0 2.0.0.0 All public static members of this type are safe for multithreaded operations. No instance members are guaranteed to be thread safe. System.IO.IOException

Represents the error that occurs when a file is found but cannot be loaded.

The exception is thrown when the file fails to load because it cannot be located. If the file is located, but cannot be loaded due to insufficient permissions, a is thrown.

- Constructor

  Constructs and initializes a new instance of the class.

  This constructor initializes the property of the new instance to a system-supplied message that describes the error, such as "Could not load the specified file." This message takes into account the current system culture.

  The property and property of the new instance are initialized to .

  0
  1.0.5000.0
  2.0.0.0
- Constructor
  A that describes the error. The content of is intended to be understood by humans. The caller of this constructor is required to ensure that this string has been localized for the current system culture.

  Constructs and initializes a new instance of the class with the specified error message.

  This constructor initializes the property of the new instance using . If is , the property is initialized to the system-supplied message provided by the constructor that takes no arguments.

  The property and property of the new instance are initialized to .

  0
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added.
  To be added.
  To be added.
  To be added.
  1.0.5000.0
  2.0.0.0
- Constructor
  A that describes the error. The content of is intended to be understood by humans. The caller of this constructor is required to ensure that this string has been localized for the current system culture.
  An instance of that is the cause of the current exception. If is non-null, then the current exception was raised in a catch block handling .
  To be added.

  Constructs and initializes a new instance of the class.

  This constructor initializes the property of the new instance using and the property using . If is , the property is initialized to the system-supplied message provided by the constructor that takes no arguments.

  The property of the new instance is initialized to .

  For more information on inner exceptions, see .

  0
  1.0.5000.0
  2.0.0.0
- Constructor
  A that describes the error. The content of is intended to be understood by humans. The caller of this constructor is required to ensure that this string has been localized for the current system culture.
  A containing the name of the file that was not loaded.

  Constructs and initializes a new instance of the class.

  This constructor initializes the property of the new instance using and the property using . If is , the property is initialized to the system-supplied message provided by the constructor that takes no arguments.

  The property of the new instance is initialized to .

  is not required to be a file stored on disk; it can be any part of a system that supports access via streams. For example, depending on the system, this class might be able to access a physical device.

  0
  1.0.5000.0
  2.0.0.0
- Constructor
  A that describes the error. The content of is intended to be understood by humans. The caller of this constructor is required to ensure that this string has been localized for the current system culture.
  A containing the name of the file that was not loaded.
  An instance of that is the cause of the current exception. If is non-null, then the current exception was raised in a catch block handling .
  To be added.

  Constructs and initializes a new instance of the class.

  This constructor initializes the property of the new instance using , the property using , and the property using . If is , the property is initialized to the system-supplied message provided by the constructor that takes no arguments.

  is not required to be a file stored on disk; it can be any part of a system that supports access via streams. For example, depending on the system, this class might be able to access a physical device.

  For more information on inner exceptions, see .

  0
  1.0.5000.0
  2.0.0.0
- Property
  System.String

  Gets the name of the file that caused the current exception.

  A containing the name of the file that caused the current exception.

  This property is read-only.

  This property returns the name of the file supplied to the constructor for the current instance, if any. If the file name was not specified or is a null reference, this property returns .

  0
  1.0.5000.0
  2.0.0.0
- Property
  System.String To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Property
  System.String

  Gets the error message that describes the current exception.

  A containing a message that describes the error that caused the current exception.

  If the message supplied to the constructor for the current instance was not ,

  this property returns that message. Otherwise, this property returns a system-supplied message that includes the name of the file that was not loaded, for example, "Unable to load file a ." (a represents the value returned by .) If is , this is indicated in the system-supplied message as "(null)". The system-supplied message takes into account the current system culture.

  This property is read-only.

  This property overrides .

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.String

  Returns a string representation of the current exception.

  A representation of the current exception.

  The string representation returned by this method includes the value of the property, the value of the property, the result of calling on the exception returned by , and the result of calling . If any of these members is , its value is not included in the returned string.

  This method overrides .

  0
  1.0.5000.0
  2.0.0.0
0 System.Runtime.InteropServices.ComVisible(true)